{
	"schema": "https://iot-ap.ikonke.com/model/product_110.json",
	"productType": "airConditioning",
	"profile": {
		"heartbeat": "3000",
		"productCode": "110",
		"productName": "地暖网关"
	},
	"services": [{
		"identifier": "set",
		"name": "set",
		"required": true,
		"callType": "async",
		"desc": "属性设置",
		"method": "thing.service.property.set",
		"inputData": [{
			"identifier": "Temperature",
			"name": "目标温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "16",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "ChildLockState",
			"name": "童锁",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}],
		"outputData": []
	}, {
		"identifier": "get",
		"name": "get",
		"required": true,
		"callType": "async",
		"desc": "属性获取",
		"method": "thing.service.property.get",
		"inputData": ["VerticalSwitch", "Temperature", "CurrentTemperature", "PowerSwitch", "ChildLockState"],
		"outputData": [{
			"identifier": "VerticalSwitch",
			"name": "上下摆风开关",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "Temperature",
			"name": "目标温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "16",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "CurrentTemperature",
			"name": "当前温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "-30",
					"max": "50",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "ChildLockState",
			"name": "童锁",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}]
	}],
	"properties": [{
		"identifier": "PowerSwitch",
		"name": "电源开关",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "开启"
			}
		}
	}, {
		"identifier": "Temperature",
		"name": "目标温度",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "double",
			"specs": {
				"min": "16",
				"max": "30",
				"unit": "°C",
				"unitName": "摄氏度",
				"step": "1"
			}
		}
	}, {
		"identifier": "CurrentTemperature",
		"name": "当前温度",
		"accessMode": "r",
		"required": true,
		"dataType": {
			"type": "double",
			"specs": {
				"min": "-30",
				"max": "50",
				"unit": "°C",
				"unitName": "摄氏度",
				"step": "1"
			}
		}
	}, {
		"identifier": "ChildLockState",
		"name": "童锁",
		"accessMode": "rw",
		"required": true,
		"dataType": {
			"type": "enum",
			"specs": {
				"0": "关闭",
				"1": "开启"
			}
		}
	}],
	"events": [{
		"identifier": "post",
		"name": "post",
		"type": "info",
		"required": true,
		"desc": "属性上报",
		"method": "thing.event.property.post",
		"outputData": [{
			"identifier": "Temperature",
			"name": "目标温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "16",
					"max": "30",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "CurrentTemperature",
			"name": "当前温度",
			"dataType": {
				"type": "double",
				"specs": {
					"min": "-30",
					"max": "50",
					"unit": "°C",
					"unitName": "摄氏度",
					"step": "1"
				}
			}
		}, {
			"identifier": "PowerSwitch",
			"name": "电源开关",
			"dataType": {
				"type": "bool",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}, {
			"identifier": "ChildLockState",
			"name": "童锁",
			"dataType": {
				"type": "enum",
				"specs": {
					"0": "关闭",
					"1": "开启"
				}
			}
		}]
	}]
}